package com.brilliance.isc.vo.lg;

import com.brilliance.isc.bo.model.Lendoc;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.Gcdgrp;
import com.brilliance.isc.vo.model.Gidgrp;
import com.brilliance.isc.vo.model.Gitp;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GetsetStoreVo extends BaseTransactionVo {
    private Gidgrp gidgrp;
    private Gcdgrp gcdgrp;
    private Gidgrp oldgidgrp;
    private String gitapll1blk = NULLSTR;
    private String gitbenl1blk = NULLSTR;
    private String lendoc_botsetl1blk = NULLSTR;
    private String clsflg = NULLSTR;
    private String paypsb = NULLSTR;
    private Lendoc lendoc;
    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        if (gcdgrp == null) {
            gcdgrp = new Gcdgrp();
        }
        if (oldgidgrp == null) {
            oldgidgrp = new Gidgrp();
        }
    }
}
